/*  BEGIN prevent Safari "extra" scroll */
html body {
}
html {
    height: 100vh;
}
/* END prevent Safari "extra" scroll */

body {
}

.VisuallyHidden {
    visibility: hidden;
}
.NoHint .rbt-input-hint {
    display: none;
}

.GeolocationSpinner {
    position: absolute;
    right: 3px;
    top: 3px;
    z-index: 1;
    color: #666;
}
.SearchBarProgressWrapper {
    position: relative;
    flex: 1 1 auto;
}

.SearchBarProgressWrapper input {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

h1 {
    text-align: center;
    text-shadow: 0 0 4px #ffc1c1, 0 0 4px #ffc1c1, 0 0 4px #ffc1c1;

}
nav {
    background-color: #fff;
}
.MobileNav {
    position: fixed;
    display: block;
    z-index: 1;
    background-color: rgba(0, 0, 0, 0);
    right: 0;
}

nav.TopNav > #menuToggle, nav.BottomNav > #menuToggle {
display: none;
}

.StrengthMeterDiv {
    padding-left: 1em;
    padding-right: 1em;
}
.StrengthMeterBar {
}
.SearchSuggestionLabel, .StrengthMeterLabel {
    color: #666;
    font-size: 0.6em;
}
nav.MobileNav > button#menuToggle.closed {

}

nav.MobileNav > button#menuToggle.open {
    background-color: #fff;
    color: #dc3545;

}

nav.MobileNav > ul > li {
    display: block;
    padding: 1.5em;
    border-bottom: 1px solid #000;

}
nav.MobileNav > ul > li > a {
    display: block;
    width: 100vw;
}

.openMobileNav {
    display: block;
    position: fixed;
    background-color: #fff;
    right: 0;
    width: 100vw;
    height: 100vh;
}
nav.MobileNav > .closedMobileNav {
    display: none;
}


.TopNav {
    z-index: 1;
    display: none;
    position: absolute;
    border-radius: 0 0 5px 5px;
    left: 50%;
    transform: translateX(-50%);
}
.BottomNav {
    display: none;
    border-radius: 5px 5px 0 0;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
}
nav > ul {
padding: 0;
}
nav.TopNav > ul {

margin: 0.25em 0 0.5em 0;
}

nav.BottomNav > ul {
    margin: 0.5em 0 0.25em 0;
}

nav > ul > li {
    display: inline-block;
    padding-left: 1.2em;
    padding-right: 1.2em;
}

.App {
  background-color: #eee !important;

    position: relative;
}

.NonHomePageContents {
    background-image: url('../public/100-png-32.png');
    background-repeat: no-repeat;
    padding: 1.5em .25em 1.5em .25em;
}

.DrawableArea {
  margin: auto;
  min-height: 100vh;
  background-color: #ffc1c1;
  width: 100%;
}

.LogoText {
    position: relative;
    top: -.6em;
    color: #fff;
}

.MainPage {
    text-align: center;
    position: relative;
  background-image: url('../public/500-png-16.png');
  background-repeat: no-repeat;
  min-height: 100vh;
  padding-bottom: 2.5em;
}

.HomeHeader {
  padding-top: 80px;
}

.ShadowedText{
  text-shadow: 0 0 4px #c10103, 0 0 4px #c10103, 0 0 4px #c10103;
  color: #ffffff;
}

.SmallSearchBarPrefix {
    margin-top: 0;
    margin-bottom: 0;
}

.LogoText:hover {
    color: #fff;
    text-decoration: none;
}

.SearchBarPrefix {
    display: none !important;
}

.SearchField ::placeholder {
    font-size: 80%;
}

.SearchBarButton {
  border-left-width: 0 !important;
  border-bottom-left-radius: 0 !important;
  border-top-left-radius: 0 !important;
}

@media (min-width: 500px) and (max-width: 1000px) {
.MobileNav {
    display: none;
}
.TopNav {
    display: block;
    }
.BottomNav {
    display: block;
    }
.DrawableArea {
  width: 500px;
  }
  .SearchForm {
    width: 400px;
    margin: auto;
  }
  .SearchBarPrefix {
    display: none !important;
  }
}

@media (min-width: 1000px) {
.MobileNav {
    display: none;
}
.TopNav {
    display: block;
    }
.BottomNav {
    display: block;
    }
.SearchField ::placeholder {
    font-size: 100%;
}
.SmallSearchBarPrefix {
    display: none;
}
.DrawableArea {
  width: 1000px;
  }
.MainPage {
  background-image: url('../public/1000-png-16.png');
  }
.SearchForm {
    width: 700px;
    margin: auto;
}
.SearchBarProgressWrapper input {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}
.SearchBarPrefix {
      display: inline-block !important;
      border-right-width: 0 !important;
      border-bottom-right-radius: 0 !important;
      border-top-right-radius: 0!important;
    }
.HomeHeader {
  padding-top: 220px;
}
.NonHomePageContents {
    padding: 2.5em .25em 2.5em .25em;
}
.LogoText {
    top: -1.6em;
}
}
